Can't download the Global update? Check if your device is Supports Global here!

Hello Everyone, I see that lot’s of iOS Users are trying to update to Global. Here is a List of Supported Devices:

Device must support OpenGL 3.0 or above, and must have at least 1GB of Free RAM

iOS 10 and above required (Apple A7 chip and Above required to Run Global)

iPhone

  • iPhone X
  • iPhone 8 Plus and 8
  • iPhone 7 Plus and 7
  • iPhone 6s plus and 6s
  • iPhone 6 plus and 6
  • iPhone SE
  • iPhone 5S

iPad Pro

  • iPad Pro 12.9" and 9.7" (2015)
  • iPad Pro 2 12.9" and 10.5"

iPad (Non-Pro)

  • iPad (2017) [5th Generation]
  • iPad Air 2
  • iPad Air

iPad Mini

  • iPad Mini 4
  • iPad Mini 3
  • iPad Mini 2

iPod Touch

  • iPod Touch 6th Generation

If Your iOS Device is NOT Listed here, your iOS Device is Not Supported

If you are an Android User, Please note that your Device must have OpenGL 3.0 Support and have Android 7.0

I Hope this helps with anyone wondering why the Update isn’t installing :)!

5 Likes

Should answer a lot of questions